This is the README for crosstool-NG

TABLE OF CONTENT /
________________/

  - GETTING STARTED
  - PARTICIPATING
    - Sending a bug report
    - Sending patches
  - CREDITS
  - KNOWN ISSUES


GETTING STARTED /
_______________/

To get you started, just enter:
  ./configure --help

You can find a (terse and WIP) documentation in docs/overview.txt.

You can also point your browser to
  http://ymorin.is-a-geek.org/projects/crosstool

PARTICIPATING /
_____________/

Sending a bug report
--------------------

If you need to send a bug report, please send a mail with subject
 prefixed with "[CT_NG]" with to following destinations:
     TO: yann.morin.1998 (at) anciens.enib.fr
     CC: crossgcc (at) sourceware.org

Sending patches
---------------

If you want to enhance crosstool-NG, there's a to-do list in the TODO file.

Patches should come with the appropriate SoB line. A SoB line is typically
 something like:
   Signed-off-by: John DOE <john.doe@somewhere.net>

The SoB line is clearly described in Documentation/SubmittingPatches , section
12, of your favourite Linux kernel source tree.

Then you'll need to correctly configure Mercurial. There are two extensions
that you may find usefull:
  - mq        : http://mercurial.selenic.com/wiki/MqExtension
  - patchbomb : http://mercurial.selenic.com/wiki/PatchbombExtension

Here's a typical hacking session:
  hg clone http://ymorin.is-a-geek.org/hg/crosstool-ng crosstool-ng
  cd crosstool-ng
  hg qinit
  hg qnew -D -U -e my_first_patch
  *edit patch description*
  *hack* *hack* *check* *fails* *hack* *hack* *check* *works*
  hg qref -D -e
  *edit patch description, serving as commit message*
  hg qnew -D -U -e my_second_patch
  *edit patch description*
  *hack* *hack* *check* *fails* *hack* *hack* *check* *works*
  hg qref -D -e
  *edit patch description, serving as commit message*
  hg email --outgoing --intro   \
           --from '"Your Full NAME" <your.email (at) your.domain>'   \
           --to '"Yann E. MORIN" <yann.morin.1998 (at) anciens.enib.fr>'    \
           --cc 'crossgcc (at) sourceware.org'
  *edit introductory message*
  *wait for feedback*
  *re-send if no answer for a few days*

Note: replace' (at) ' above with a plain '@'.

CREDITS /
_______/

The people that helped are listed in docs/CREDITS. Many thanks to them! :-)

KNOWN ISSUES /
____________/

The list of known issues is listed in docs/known-issues.txt.

Aloha!
